server:
  port: 5909
###################  spring配置  ###################
spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://111.198.10.15:11336/casic_metering?useUnicode=true&characterEncoding=utf8&allowMultiQueries=true&serverTimezone=Asia/Shanghai&allowMultiQueries=true&nullCatalogMeansCurrent=true
    username: root
    password: Casic203
  redis:
    host: 111.198.10.15
    port: 11412
    password: ew5T4K3#203lwh
    database: 1
    serializer: org.springframework.data.redis.serializer.StringRedisSerializer
    redisValueSerializer: org.springframework.data.redis.serializer.JdkSerializationRedisSerializer
#jms:
#   pub-sub-domain: true
# session:
#   store-type: redis
casic:
  #kaptcha-open: false #是否开启登录时验证码 (true/false)
  no-login-urls: ${casic.sysUrl}/user/login,${casic.sysUrl}/user/appLogin,${casic.sysUrl}/kaptcha/base64,${casic.sysUrl}/config/baseConfig,/route/mockToken,/v2/api-docs,/v2/api-docs-ext,/doc.html,/cockpit/**,/websocket/**,/webjars/**,/swagger-ui.html,/swagger-resources
  #flowable数据源和多数据源配置
  db:
    init:
      enable: false
  #图片下载本地地址
  file:
    uploadPath: D:\casic\tmp\
    dir: D:\casic\tmp\
  meter:
    standardEquipment: #标准装置
      remindDay: 30    #到期提醒，提前天数
      delayDay: 30     #到期提醒-删除，提醒推迟天数
  template:
    calibration: "现场检定审批报告"
    environmental: "现场环境记录"

logging:
  level.root: info
  level.com.casic: debug
  level.org.springframework.web: info
#  level.org.flowable: debug #flowable日志，可查看SQL执行